Package org.pentaho.reporting.libraries.formula.function.datetime

# Class NowFunction

java.lang.Object
org.pentaho.reporting.libraries.formula.function.datetime.NowFunction

All Implemented Interfaces:
  `Serializable`, `Function`

public class NowFunction extends Object implements Function
Return the serial number of the current date and time. This returns the current day and time serial number, using the current locale. If you want only the serial number of the current day, use TODAY.

Since:
  23.03.2007
Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NowFunction()`

## Method Summary

Modifier and Type
Method
Description
`TypeValuePair`
`evaluate(FormulaContext context, ParameterCallback parameters)`
`String`
`getCanonicalName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NowFunction

public NowFunction()

## Method Details

### getCanonicalName

public String getCanonicalName()

Specified by:
  `getCanonicalName` in interface `Function`

### evaluate

public TypeValuePair evaluate(FormulaContext context, ParameterCallback parameters) throws EvaluationException

Specified by:
  `evaluate` in interface `Function`
Throws:
  `EvaluationException`